
package com.ejie.ad74a.ws.client.firmaX43fn;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.ejie.ad74a.ws.client.firmaX43fn package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.ejie.ad74a.ws.client.firmaX43fn
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link CreateAdESSignature }
     * 
     */
    public CreateAdESSignature createCreateAdESSignature() {
        return new CreateAdESSignature();
    }

    /**
     * Create an instance of {@link CreateAdESSignatureResponse }
     * 
     */
    public CreateAdESSignatureResponse createCreateAdESSignatureResponse() {
        return new CreateAdESSignatureResponse();
    }

    /**
     * Create an instance of {@link EjgvDocumentType }
     * 
     */
    public EjgvDocumentType createEjgvDocumentType() {
        return new EjgvDocumentType();
    }

    /**
     * Create an instance of {@link VerifyAdESSignature }
     * 
     */
    public VerifyAdESSignature createVerifyAdESSignature() {
        return new VerifyAdESSignature();
    }

    /**
     * Create an instance of {@link VerifyAdESSignatureResponse }
     * 
     */
    public VerifyAdESSignatureResponse createVerifyAdESSignatureResponse() {
        return new VerifyAdESSignatureResponse();
    }

    /**
     * Create an instance of {@link VerificationResultType }
     * 
     */
    public VerificationResultType createVerificationResultType() {
        return new VerificationResultType();
    }

    /**
     * Create an instance of {@link CreateHashByteArray }
     * 
     */
    public CreateHashByteArray createCreateHashByteArray() {
        return new CreateHashByteArray();
    }

    /**
     * Create an instance of {@link CreateHashByteArrayResponse }
     * 
     */
    public CreateHashByteArrayResponse createCreateHashByteArrayResponse() {
        return new CreateHashByteArrayResponse();
    }

    /**
     * Create an instance of {@link CreateHashLocation }
     * 
     */
    public CreateHashLocation createCreateHashLocation() {
        return new CreateHashLocation();
    }

    /**
     * Create an instance of {@link CreateHashLocationResponse }
     * 
     */
    public CreateHashLocationResponse createCreateHashLocationResponse() {
        return new CreateHashLocationResponse();
    }

    /**
     * Create an instance of {@link VerifyCertificate }
     * 
     */
    public VerifyCertificate createVerifyCertificate() {
        return new VerifyCertificate();
    }

    /**
     * Create an instance of {@link VerifyCertificateResponse }
     * 
     */
    public VerifyCertificateResponse createVerifyCertificateResponse() {
        return new VerifyCertificateResponse();
    }

    /**
     * Create an instance of {@link VerifyCertificateLocation }
     * 
     */
    public VerifyCertificateLocation createVerifyCertificateLocation() {
        return new VerifyCertificateLocation();
    }

    /**
     * Create an instance of {@link VerifyCertificateLocationResponse }
     * 
     */
    public VerifyCertificateLocationResponse createVerifyCertificateLocationResponse() {
        return new VerifyCertificateLocationResponse();
    }

    /**
     * Create an instance of {@link VerifyEjgvDocument }
     * 
     */
    public VerifyEjgvDocument createVerifyEjgvDocument() {
        return new VerifyEjgvDocument();
    }

    /**
     * Create an instance of {@link VerifyEjgvDocumentResponse }
     * 
     */
    public VerifyEjgvDocumentResponse createVerifyEjgvDocumentResponse() {
        return new VerifyEjgvDocumentResponse();
    }

    /**
     * Create an instance of {@link UpdateEjgvDocument }
     * 
     */
    public UpdateEjgvDocument createUpdateEjgvDocument() {
        return new UpdateEjgvDocument();
    }

    /**
     * Create an instance of {@link UpdateEjgvDocumentResponse }
     * 
     */
    public UpdateEjgvDocumentResponse createUpdateEjgvDocumentResponse() {
        return new UpdateEjgvDocumentResponse();
    }

    /**
     * Create an instance of {@link CreateTimeStamp }
     * 
     */
    public CreateTimeStamp createCreateTimeStamp() {
        return new CreateTimeStamp();
    }

    /**
     * Create an instance of {@link CreateTimeStampResponse }
     * 
     */
    public CreateTimeStampResponse createCreateTimeStampResponse() {
        return new CreateTimeStampResponse();
    }

    /**
     * Create an instance of {@link CreateTimeStampLocation }
     * 
     */
    public CreateTimeStampLocation createCreateTimeStampLocation() {
        return new CreateTimeStampLocation();
    }

    /**
     * Create an instance of {@link CreateTimeStampLocationResponse }
     * 
     */
    public CreateTimeStampLocationResponse createCreateTimeStampLocationResponse() {
        return new CreateTimeStampLocationResponse();
    }

    /**
     * Create an instance of {@link VerifyTimeStamp }
     * 
     */
    public VerifyTimeStamp createVerifyTimeStamp() {
        return new VerifyTimeStamp();
    }

    /**
     * Create an instance of {@link VerifyTimeStampResponse }
     * 
     */
    public VerifyTimeStampResponse createVerifyTimeStampResponse() {
        return new VerifyTimeStampResponse();
    }

    /**
     * Create an instance of {@link VerifyTimeStampLocation }
     * 
     */
    public VerifyTimeStampLocation createVerifyTimeStampLocation() {
        return new VerifyTimeStampLocation();
    }

    /**
     * Create an instance of {@link VerifyTimeStampLocationResponse }
     * 
     */
    public VerifyTimeStampLocationResponse createVerifyTimeStampLocationResponse() {
        return new VerifyTimeStampLocationResponse();
    }

    /**
     * Create an instance of {@link GetSignatureTSSerialNumber }
     * 
     */
    public GetSignatureTSSerialNumber createGetSignatureTSSerialNumber() {
        return new GetSignatureTSSerialNumber();
    }

    /**
     * Create an instance of {@link GetSignatureTSSerialNumberResponse }
     * 
     */
    public GetSignatureTSSerialNumberResponse createGetSignatureTSSerialNumberResponse() {
        return new GetSignatureTSSerialNumberResponse();
    }

    /**
     * Create an instance of {@link HasToBeStamped }
     * 
     */
    public HasToBeStamped createHasToBeStamped() {
        return new HasToBeStamped();
    }

    /**
     * Create an instance of {@link HasToBeStampedResponse }
     * 
     */
    public HasToBeStampedResponse createHasToBeStampedResponse() {
        return new HasToBeStampedResponse();
    }

    /**
     * Create an instance of {@link GetSignatureTSSerialNumberLocation }
     * 
     */
    public GetSignatureTSSerialNumberLocation createGetSignatureTSSerialNumberLocation() {
        return new GetSignatureTSSerialNumberLocation();
    }

    /**
     * Create an instance of {@link GetSignatureTSSerialNumberLocationResponse }
     * 
     */
    public GetSignatureTSSerialNumberLocationResponse createGetSignatureTSSerialNumberLocationResponse() {
        return new GetSignatureTSSerialNumberLocationResponse();
    }

    /**
     * Create an instance of {@link HasToBeStampedLocation }
     * 
     */
    public HasToBeStampedLocation createHasToBeStampedLocation() {
        return new HasToBeStampedLocation();
    }

    /**
     * Create an instance of {@link HasToBeStampedLocationResponse }
     * 
     */
    public HasToBeStampedLocationResponse createHasToBeStampedLocationResponse() {
        return new HasToBeStampedLocationResponse();
    }

    /**
     * Create an instance of {@link CreateAdESArchiveSignature }
     * 
     */
    public CreateAdESArchiveSignature createCreateAdESArchiveSignature() {
        return new CreateAdESArchiveSignature();
    }

    /**
     * Create an instance of {@link CreateAdESArchiveSignatureResponse }
     * 
     */
    public CreateAdESArchiveSignatureResponse createCreateAdESArchiveSignatureResponse() {
        return new CreateAdESArchiveSignatureResponse();
    }

    /**
     * Create an instance of {@link CreateAdESArchiveSignatureLocation }
     * 
     */
    public CreateAdESArchiveSignatureLocation createCreateAdESArchiveSignatureLocation() {
        return new CreateAdESArchiveSignatureLocation();
    }

    /**
     * Create an instance of {@link CreateAdESArchiveSignatureLocationResponse }
     * 
     */
    public CreateAdESArchiveSignatureLocationResponse createCreateAdESArchiveSignatureLocationResponse() {
        return new CreateAdESArchiveSignatureLocationResponse();
    }

    /**
     * Create an instance of {@link CreateAdESSignatureLocation }
     * 
     */
    public CreateAdESSignatureLocation createCreateAdESSignatureLocation() {
        return new CreateAdESSignatureLocation();
    }

    /**
     * Create an instance of {@link CreateAdESSignatureLocationResponse }
     * 
     */
    public CreateAdESSignatureLocationResponse createCreateAdESSignatureLocationResponse() {
        return new CreateAdESSignatureLocationResponse();
    }

    /**
     * Create an instance of {@link UpdateAdESSignature }
     * 
     */
    public UpdateAdESSignature createUpdateAdESSignature() {
        return new UpdateAdESSignature();
    }

    /**
     * Create an instance of {@link UpdateAdESSignatureResponse }
     * 
     */
    public UpdateAdESSignatureResponse createUpdateAdESSignatureResponse() {
        return new UpdateAdESSignatureResponse();
    }

    /**
     * Create an instance of {@link UpdateAdESSignatureLocation }
     * 
     */
    public UpdateAdESSignatureLocation createUpdateAdESSignatureLocation() {
        return new UpdateAdESSignatureLocation();
    }

    /**
     * Create an instance of {@link UpdateAdESSignatureLocationResponse }
     * 
     */
    public UpdateAdESSignatureLocationResponse createUpdateAdESSignatureLocationResponse() {
        return new UpdateAdESSignatureLocationResponse();
    }

    /**
     * Create an instance of {@link StampAdESSignature }
     * 
     */
    public StampAdESSignature createStampAdESSignature() {
        return new StampAdESSignature();
    }

    /**
     * Create an instance of {@link StampAdESSignatureResponse }
     * 
     */
    public StampAdESSignatureResponse createStampAdESSignatureResponse() {
        return new StampAdESSignatureResponse();
    }

    /**
     * Create an instance of {@link StampAdESSignatureLocation }
     * 
     */
    public StampAdESSignatureLocation createStampAdESSignatureLocation() {
        return new StampAdESSignatureLocation();
    }

    /**
     * Create an instance of {@link StampAdESSignatureLocationResponse }
     * 
     */
    public StampAdESSignatureLocationResponse createStampAdESSignatureLocationResponse() {
        return new StampAdESSignatureLocationResponse();
    }

    /**
     * Create an instance of {@link StampSignatureLocation }
     * 
     */
    public StampSignatureLocation createStampSignatureLocation() {
        return new StampSignatureLocation();
    }

    /**
     * Create an instance of {@link StampSignatureLocationResponse }
     * 
     */
    public StampSignatureLocationResponse createStampSignatureLocationResponse() {
        return new StampSignatureLocationResponse();
    }

    /**
     * Create an instance of {@link VerifyAdESSignatureLocation }
     * 
     */
    public VerifyAdESSignatureLocation createVerifyAdESSignatureLocation() {
        return new VerifyAdESSignatureLocation();
    }

    /**
     * Create an instance of {@link VerifyAdESSignatureLocationResponse }
     * 
     */
    public VerifyAdESSignatureLocationResponse createVerifyAdESSignatureLocationResponse() {
        return new VerifyAdESSignatureLocationResponse();
    }

    /**
     * Create an instance of {@link VerifySignature }
     * 
     */
    public VerifySignature createVerifySignature() {
        return new VerifySignature();
    }

    /**
     * Create an instance of {@link VerifySignatureResponse }
     * 
     */
    public VerifySignatureResponse createVerifySignatureResponse() {
        return new VerifySignatureResponse();
    }

    /**
     * Create an instance of {@link VerifySignatureLocation }
     * 
     */
    public VerifySignatureLocation createVerifySignatureLocation() {
        return new VerifySignatureLocation();
    }

    /**
     * Create an instance of {@link VerifySignatureLocationResponse }
     * 
     */
    public VerifySignatureLocationResponse createVerifySignatureLocationResponse() {
        return new VerifySignatureLocationResponse();
    }

    /**
     * Create an instance of {@link CreateEjgvDocumentFromXml }
     * 
     */
    public CreateEjgvDocumentFromXml createCreateEjgvDocumentFromXml() {
        return new CreateEjgvDocumentFromXml();
    }

    /**
     * Create an instance of {@link CreateEjgvDocumentFromXmlResponse }
     * 
     */
    public CreateEjgvDocumentFromXmlResponse createCreateEjgvDocumentFromXmlResponse() {
        return new CreateEjgvDocumentFromXmlResponse();
    }

    /**
     * Create an instance of {@link CreateEjgvDocumentFromXmlLocation }
     * 
     */
    public CreateEjgvDocumentFromXmlLocation createCreateEjgvDocumentFromXmlLocation() {
        return new CreateEjgvDocumentFromXmlLocation();
    }

    /**
     * Create an instance of {@link CreateEjgvDocumentFromXmlLocationResponse }
     * 
     */
    public CreateEjgvDocumentFromXmlLocationResponse createCreateEjgvDocumentFromXmlLocationResponse() {
        return new CreateEjgvDocumentFromXmlLocationResponse();
    }

    /**
     * Create an instance of {@link CreateEjgvDocumentFromHtml }
     * 
     */
    public CreateEjgvDocumentFromHtml createCreateEjgvDocumentFromHtml() {
        return new CreateEjgvDocumentFromHtml();
    }

    /**
     * Create an instance of {@link CreateEjgvDocumentFromHtmlResponse }
     * 
     */
    public CreateEjgvDocumentFromHtmlResponse createCreateEjgvDocumentFromHtmlResponse() {
        return new CreateEjgvDocumentFromHtmlResponse();
    }

    /**
     * Create an instance of {@link CreateEjgvDocumentFromHtmlLocation }
     * 
     */
    public CreateEjgvDocumentFromHtmlLocation createCreateEjgvDocumentFromHtmlLocation() {
        return new CreateEjgvDocumentFromHtmlLocation();
    }

    /**
     * Create an instance of {@link CreateEjgvDocumentFromHtmlLocationResponse }
     * 
     */
    public CreateEjgvDocumentFromHtmlLocationResponse createCreateEjgvDocumentFromHtmlLocationResponse() {
        return new CreateEjgvDocumentFromHtmlLocationResponse();
    }

    /**
     * Create an instance of {@link CreateAdESManifestSignature }
     * 
     */
    public CreateAdESManifestSignature createCreateAdESManifestSignature() {
        return new CreateAdESManifestSignature();
    }

    /**
     * Create an instance of {@link CreateAdESManifestSignatureResponse }
     * 
     */
    public CreateAdESManifestSignatureResponse createCreateAdESManifestSignatureResponse() {
        return new CreateAdESManifestSignatureResponse();
    }

    /**
     * Create an instance of {@link GetFirmaFEA }
     * 
     */
    public GetFirmaFEA createGetFirmaFEA() {
        return new GetFirmaFEA();
    }

    /**
     * Create an instance of {@link DatosFirmaFEA }
     * 
     */
    public DatosFirmaFEA createDatosFirmaFEA() {
        return new DatosFirmaFEA();
    }

    /**
     * Create an instance of {@link GetFirmaFEAResponse }
     * 
     */
    public GetFirmaFEAResponse createGetFirmaFEAResponse() {
        return new GetFirmaFEAResponse();
    }

    /**
     * Create an instance of {@link DatosFirmaFEAResult }
     * 
     */
    public DatosFirmaFEAResult createDatosFirmaFEAResult() {
        return new DatosFirmaFEAResult();
    }

    /**
     * Create an instance of {@link GetIdentificacionFEA }
     * 
     */
    public GetIdentificacionFEA createGetIdentificacionFEA() {
        return new GetIdentificacionFEA();
    }

    /**
     * Create an instance of {@link DatosIdentificacionFEA }
     * 
     */
    public DatosIdentificacionFEA createDatosIdentificacionFEA() {
        return new DatosIdentificacionFEA();
    }

    /**
     * Create an instance of {@link GetIdentificacionFEAResponse }
     * 
     */
    public GetIdentificacionFEAResponse createGetIdentificacionFEAResponse() {
        return new GetIdentificacionFEAResponse();
    }

    /**
     * Create an instance of {@link DatosIdentificacionFEAResult }
     * 
     */
    public DatosIdentificacionFEAResult createDatosIdentificacionFEAResult() {
        return new DatosIdentificacionFEAResult();
    }

    /**
     * Create an instance of {@link GetDatosPersonaFromToken }
     * 
     */
    public GetDatosPersonaFromToken createGetDatosPersonaFromToken() {
        return new GetDatosPersonaFromToken();
    }

    /**
     * Create an instance of {@link GetDatosPersonaFromTokenResponse }
     * 
     */
    public GetDatosPersonaFromTokenResponse createGetDatosPersonaFromTokenResponse() {
        return new GetDatosPersonaFromTokenResponse();
    }

    /**
     * Create an instance of {@link DatosPersonaFromTokenResult }
     * 
     */
    public DatosPersonaFromTokenResult createDatosPersonaFromTokenResult() {
        return new DatosPersonaFromTokenResult();
    }

    /**
     * Create an instance of {@link CreateSignature }
     * 
     */
    public CreateSignature createCreateSignature() {
        return new CreateSignature();
    }

    /**
     * Create an instance of {@link InputOptions }
     * 
     */
    public InputOptions createInputOptions() {
        return new InputOptions();
    }

    /**
     * Create an instance of {@link InputDocument }
     * 
     */
    public InputDocument createInputDocument() {
        return new InputDocument();
    }

    /**
     * Create an instance of {@link CreateSignatureResponse }
     * 
     */
    public CreateSignatureResponse createCreateSignatureResponse() {
        return new CreateSignatureResponse();
    }

    /**
     * Create an instance of {@link CreateSignatureLocation }
     * 
     */
    public CreateSignatureLocation createCreateSignatureLocation() {
        return new CreateSignatureLocation();
    }

    /**
     * Create an instance of {@link CreateSignatureLocationResponse }
     * 
     */
    public CreateSignatureLocationResponse createCreateSignatureLocationResponse() {
        return new CreateSignatureLocationResponse();
    }

    /**
     * Create an instance of {@link UpdateSignatureLocation }
     * 
     */
    public UpdateSignatureLocation createUpdateSignatureLocation() {
        return new UpdateSignatureLocation();
    }

    /**
     * Create an instance of {@link UpdateSignatureLocationResponse }
     * 
     */
    public UpdateSignatureLocationResponse createUpdateSignatureLocationResponse() {
        return new UpdateSignatureLocationResponse();
    }

    /**
     * Create an instance of {@link EncryptionArchive }
     * 
     */
    public EncryptionArchive createEncryptionArchive() {
        return new EncryptionArchive();
    }

    /**
     * Create an instance of {@link EncryptionArchiveResponse }
     * 
     */
    public EncryptionArchiveResponse createEncryptionArchiveResponse() {
        return new EncryptionArchiveResponse();
    }

    /**
     * Create an instance of {@link EncryptionArchiveLocation }
     * 
     */
    public EncryptionArchiveLocation createEncryptionArchiveLocation() {
        return new EncryptionArchiveLocation();
    }

    /**
     * Create an instance of {@link EncryptionArchiveLocationResponse }
     * 
     */
    public EncryptionArchiveLocationResponse createEncryptionArchiveLocationResponse() {
        return new EncryptionArchiveLocationResponse();
    }

    /**
     * Create an instance of {@link DecryptionArchive }
     * 
     */
    public DecryptionArchive createDecryptionArchive() {
        return new DecryptionArchive();
    }

    /**
     * Create an instance of {@link DecryptionArchiveResponse }
     * 
     */
    public DecryptionArchiveResponse createDecryptionArchiveResponse() {
        return new DecryptionArchiveResponse();
    }

    /**
     * Create an instance of {@link DecryptionArchiveLocation }
     * 
     */
    public DecryptionArchiveLocation createDecryptionArchiveLocation() {
        return new DecryptionArchiveLocation();
    }

    /**
     * Create an instance of {@link DecryptionArchiveLocationResponse }
     * 
     */
    public DecryptionArchiveLocationResponse createDecryptionArchiveLocationResponse() {
        return new DecryptionArchiveLocationResponse();
    }

    /**
     * Create an instance of {@link CreateSignatureEjgvDocument }
     * 
     */
    public CreateSignatureEjgvDocument createCreateSignatureEjgvDocument() {
        return new CreateSignatureEjgvDocument();
    }

    /**
     * Create an instance of {@link CreateSignatureEjgvDocumentResponse }
     * 
     */
    public CreateSignatureEjgvDocumentResponse createCreateSignatureEjgvDocumentResponse() {
        return new CreateSignatureEjgvDocumentResponse();
    }

    /**
     * Create an instance of {@link EjgvDocument }
     * 
     */
    public EjgvDocument createEjgvDocument() {
        return new EjgvDocument();
    }

    /**
     * Create an instance of {@link Header }
     * 
     */
    public Header createHeader() {
        return new Header();
    }

    /**
     * Create an instance of {@link Body }
     * 
     */
    public Body createBody() {
        return new Body();
    }

    /**
     * Create an instance of {@link VerificationResult }
     * 
     */
    public VerificationResult createVerificationResult() {
        return new VerificationResult();
    }

    /**
     * Create an instance of {@link SignCertificateType }
     * 
     */
    public SignCertificateType createSignCertificateType() {
        return new SignCertificateType();
    }

    /**
     * Create an instance of {@link SuscriptorType }
     * 
     */
    public SuscriptorType createSuscriptorType() {
        return new SuscriptorType();
    }

    /**
     * Create an instance of {@link EntidadType }
     * 
     */
    public EntidadType createEntidadType() {
        return new EntidadType();
    }

    /**
     * Create an instance of {@link RepresentanteType }
     * 
     */
    public RepresentanteType createRepresentanteType() {
        return new RepresentanteType();
    }

    /**
     * Create an instance of {@link SignCertificatesType }
     * 
     */
    public SignCertificatesType createSignCertificatesType() {
        return new SignCertificatesType();
    }

    /**
     * Create an instance of {@link ErrorFea }
     * 
     */
    public ErrorFea createErrorFea() {
        return new ErrorFea();
    }

    /**
     * Create an instance of {@link FeaType }
     * 
     */
    public FeaType createFeaType() {
        return new FeaType();
    }

    /**
     * Create an instance of {@link DatosPersona }
     * 
     */
    public DatosPersona createDatosPersona() {
        return new DatosPersona();
    }

}
